VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Types | Public Member Functions | List of all members
UTF8CodePointIterator< BaseIterator > Class Template Reference

`#include <cstring.h>`

## Public Types
using | iterator_category = std::bidirectional_iterator_tag
using | value_type = char32_t
using | difference_type = ptrdiff_t
using | pointer = char32_t *
using | reference = char32_t &
using | CodePoint = value_type

## Public Member Functions
| UTF8CodePointIterator ()=default
| UTF8CodePointIterator (const UTF8CodePointIterator &o) noexcept
| UTF8CodePointIterator (const BaseIterator &iterator) noexcept
UTF8CodePointIterator & | operator++ () noexcept
UTF8CodePointIterator & | operator-- () noexcept
UTF8CodePointIterator | operator++ (int) noexcept
UTF8CodePointIterator | operator-- (int) noexcept
bool | operator== (const UTF8CodePointIterator &other) const noexcept
bool | operator!= (const UTF8CodePointIterator &other) const noexcept
CodePoint | operator* () const noexcept
BaseIterator | base () const noexcept

## Member Typedef Documentation

## ◆ CodePoint

using CodePoint = value_type

## ◆ difference_type

using difference_type = ptrdiff_t

## ◆ iterator_category

using iterator_category = std::bidirectional_iterator_tag

## ◆ pointer

using pointer = char32_t*

## ◆ reference

using reference = char32_t&

## ◆ value_type

using value_type = char32_t

## Constructor & Destructor Documentation

## ◆ UTF8CodePointIterator() [1/3]

UTF8CodePointIterator | ( |  | ) |
| default

## ◆ UTF8CodePointIterator() [2/3]

UTF8CodePointIterator | ( | const UTF8CodePointIterator< BaseIterator > & | o | ) |
| inline noexcept

## ◆ UTF8CodePointIterator() [3/3]

UTF8CodePointIterator | ( | const BaseIterator & | iterator | ) |
| inline explicit noexcept

## Member Function Documentation

## ◆ base()

BaseIterator base | ( |  | ) | const
| inline noexcept

## ◆ operator!=()

bool operator!= | ( | const UTF8CodePointIterator< BaseIterator > & | other | ) | const
| inline noexcept

## ◆ operator*()

UTF8CodePointIterator< BaseIterator >::CodePoint operator*
| inline noexcept

## ◆ operator++() [1/2]

UTF8CodePointIterator< BaseIterator > & operator++
| inline noexcept

## ◆ operator++() [2/2]

UTF8CodePointIterator< BaseIterator > operator++ | ( | int |  | ) |
| inline noexcept

## ◆ operator--() [1/2]

UTF8CodePointIterator< BaseIterator > & operator--
| inline noexcept

## ◆ operator--() [2/2]

UTF8CodePointIterator< BaseIterator > operator-- | ( | int |  | ) |
| inline noexcept

## ◆ operator==()

bool operator== | ( | const UTF8CodePointIterator< BaseIterator > & | other | ) | const
| inline noexcept

The documentation for this class was generated from the following file:

- cstring.h